{
  "name": "react-firebase-admin",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@hookform/resolvers": "^0.1.0",
    "bulma": "^0.9.0",
    "classnames": "^2.2.6",
    "date-fns": "^2.15.0",
    "firebase": "^7.18",
    "mutationobserver-shim": "^0.3.7",
    "prop-types": "^15.7.2",
    "react": "^16.13.1",
    "react-datepicker": "^3.0.0",
    "react-dom": "^16.13.1",
    "react-firebaseui": "^4.1.0",
    "react-hook-form": "^6.7.0",
    "react-intl": "^5.6.5",
    "react-redux": "^7.2.1",
    "react-redux-toastr": "^7.6.4",
    "react-router-dom": "^5.2.0",
    "react-scripts": "^3.4.3",
    "react-spinners": "^0.9.0",
    "react-table": "^7.5",
    "redux": "^4.0.5",
    "redux-act": "^1.8.0",
    "redux-persist": "^6.0.0",
    "redux-thunk": "^2.3.0",
    "yup": "^0.29.3"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "lint": "eslint .",
    "setup-admin-dashboard": "npm install && npm run build && firebase deploy -P staging",
    "deploy": "npm run build && firebase deploy -P staging --only hosting",
    "precommit:react": "npm test",
    "precommit:functions": "cd functions/ && npm run build && npm test",
    "precommit": "cross-env CI=true npm run precommit:react && npm run precommit:functions"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@testing-library/jest-dom": "^5.11.4",
    "@testing-library/react": "^11.0.2",
    "babel-eslint": "^10.1.0",
    "babel-loader": "^8.1.0",
    "cross-env": "^7.0.2",
    "deep-freeze": "^0.0.1",
    "dotenv": "^8.2.0",
    "eslint": "^6.8.0",
    "eslint-config-airbnb": "^18.2.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-loader": "^4.0.2",
    "eslint-plugin-import": "^2.21.2",
    "eslint-plugin-jest": "^23.18.0",
    "eslint-plugin-jsx-a11y": "^6.3.0",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-react": "^7.20.5",
    "husky": "^4.2.5",
    "jest": "24.9.0",
    "lint-staged": "^10.2.11",
    "node-sass": "^4.14.1",
    "prettier": "^2.0.5",
    "redux-mock-store": "^1.5.4",
    "sass-loader": "^9.0.2",
    "typescript": "^4.0.5"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run precommit && lint-staged"
    }
  },
  "jest": {
    "collectCoverageFrom": [
      "src/**/*.{js,jsx}"
    ],
    "coverageReporters": [
      "text",
      "html"
    ],
    "resetMocks": true
  },
  "lint-staged": {
    "*.{js,jsx}": [
      "eslint --fix",
      "prettier --write"
    ],
    "functions/**/*.ts": [
      "npm run lint"
    ]
  }
}
